=== debian/changelog ===
cndrvcups-common (1.80-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2008 10:01:55 +0900

cndrvcups-common (1.70-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 11 Apr 2008 10:01:55 +0900

cndrvcups-common (1.60-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Fri, 2 Nov 2007 10:01:55 +0900

cndrvcups-common (1.50-2) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Man, 6 Aug 2007 19:28:55 +0900

cndrvcups-common (1.50-1) stable; urgency=low

  * Update Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Tue, 10 Apr 2007 16:48:55 +0900

cndrvcups-common (1.40-1) stable; urgency=low

  * Initial Release.

 -- Canon Inc. <sup-debian@list.canon.co.jp>  Tue, 12 Sep 2006 16:48:55 +0900
